<?php
session_start();
//RESTRICCIÓN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
$accion=$_REQUEST["accion"];
$codigo=$_REQUEST["codigo"];
$contrato=$_REQUEST["contrato"];
if ($contrato=='') $contrato=$_POST['contrato'];
include ("fphp.php");
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$_SESSION['per_validar']=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $_SESSION['per_validar']=''; 
///////////////////////////////////////////////// INICIO DEL PROGRAMA ////////////////////////////////////////////////////////////////
$consulta="Select * from contrato where id='".$_SESSION['id_validar']."' and codigo='".$contrato."'";
$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
$row=mysqli_fetch_array($resultado);
$dcontrato=$row['detalle'];
menu();
$entra=0;
echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_regresa.png' alt='Regresar'>:<a href='archivo_trabajador_contratos.php'>Regresar</a>
&nbsp;&nbsp;<img border = 0 src='images/b_elimina.png' alt='Elimina'>:Eliminar Art&iacute;culo
&nbsp;&nbsp;<img border = 0 src='images/b_edit.png' alt='Modificar'>:Modificar Art&iacute;culo
</font><hr>";
echo "<h2>Actualizaci&oacute;n de Art&iacute;culo de Contratos</h2>";

echo "<font face='verdana' size=2>";
///////////////////////////////////////////////// AGREGAR REGISTROS  ////////////////////////////////////////////////////////////////
	if ($_POST['graba']==1 ) {
		if ($_POST['articulo']!='') {
			$consulta="Select * from contrato_articulo where id='".$_SESSION['id_validar']."' and codigo = '".$contrato."' and articulo = '".$_POST['articulo']."'" ;
			$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$num_rows = mysqli_num_rows($resultado);
			if ($num_rows == 0) {
				$consulta="insert into contrato_articulo (id, codigo,articulo,detalle) values ('".$_SESSION['id_validar']."','".$contrato."',ucase('".$_POST['articulo']."'),'".$_POST['detalle']."')";
				$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			} else $entra=1;
		}	
	}
    if ($entra) echo "<font face='Verdana, Arial, Helvetica, sans-serif' color ='#FF0000'size=3> (Registro Existe)</font>";
///////////////////////////////////////////////// ACTUALIZAR REGISTROS  ////////////////////////////////////////////////////////////////
	if ($_POST['modifica']==1 ) {
		$consulta="update contrato_articulo set detalle='".$_POST['detalle']."' where id='".$_SESSION['id_validar']."' and codigo='".$contrato."' and articulo='".$_POST['articulo']."' " ;
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	}
///////////////////////////////////////////////// MOSTRAR ENTRADA DE DATOS  ////////////////////////////////////////////////////////////////
	if ((!$_POST || $accion==2 || $_POST['graba']==1|| $_POST['modifica']==1) && $accion!=3){
		
		echo "<table cellpadding=2 cellspacing=0 width='100%' align='left'>";
		echo "<tr>";
		echo "<td width=80%>";
				echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' >";
				echo "  <input type = 'hidden' name = 'graba' value = '1'>";
				echo "<table cellpadding=2 cellspacing=0 width='500' align='left'>";
				echo "<tr>";
					echo "<td> <font color=red>CONTRATO #</font></td>";
					echo "<td> <input name='contrato' size = '4' maxlength = '4' readonly value='".$contrato."'>&nbsp;".$dcontrato."</td>";
				echo "</tr>";
				echo "<tr>";
					echo "<td> Art&iacute;culo:</td>";
					echo "<td> <input name='articulo' size = '4' maxlength = '4'></td>";
				echo "</tr>";
				echo "<tr>";
					echo "<td> Detalle (Descripci&oacute;n):</td>";
					echo "<td> <textarea name='detalle' cols=100 rows=20></textarea>";
				echo "</tr>";
				echo "<tr>";
					echo "<td></td>";
					echo "<td><input name='procesar' type = 'submit' value = 'Grabar Registro'></td>";
				echo "</tr></table>";
				echo "	<script language='JavaScript' type='text/JavaScript'>";
				echo "		document.entrada.articulo.focus()";
				echo "	</script>";
				echo "	</form>"; 
		echo "</td>";
	
		echo "<td width=20% >";
			$consulta="Select * from contrato_articulo where id='".$_SESSION['id_validar']."' and codigo='".$contrato."' order by codigo,articulo, detalle";
			$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
			$num_rows = mysqli_num_rows($resultado);
			if ($num_rows != 0){
					echo "<table border=1 cellpadding=2 cellspacing=0 align='center'>";
					echo "<tr BGcolor='#00BFFF' >";
					echo "<th ali=center>Art&iacute;culos</font></th> ";
					echo "<th colspan=2 ali=center>Acci&oacute;n</font></th></tr>";
					for ($cont=0;$cont<$num_rows;$cont++) {
						$row = mysqli_fetch_array($resultado);
						if ($color) $tcolor="#BFE5FF";
						else $tcolor="#F4FEFF";
						$color=!$color;
						echo '<tr bgcolor="'.$tcolor.'" >';
						echo '<td width="60" align="center">'.$row['articulo'].'</td>';
						$codigo = $row['articulo'];
						if (substr($_SESSION['acceso_validar'],17,1)==0) 
						echo "<td width='60' align='center'></td>";
						else echo "<td width='60' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&contrato=".$contrato."&codigo=".$codigo."'><img  border = 0  src='images/b_elimina.png' alt='ELIMINAR éste registro' ></a></td>";
						echo "<td width='60' align='center'><a href='".$_SERVER['PHP_SELF']."?accion=3&contrato=".$contrato."&codigo=".$codigo."'><img border = 0 src='images/b_edit.png' alt='MODIFICAR éste registro'></a></td>";
						echo '</tr>';
					}
					echo '</table>';
			} 		
			mysqli_free_result($resultado);
			
			echo "<u><b>Campos a Utilizar de Empresa:</u></b><br><br>";
			echo "1) #empresa# -->Nombre de Empresa<br><br>";
			echo "2) #registro# -->Registro Mercantil<br><br>";
			echo "3) #ubicacion# -->Direccion Fiscal<br><br>";
			echo "4) #propietario# -->Propietario<br><br>";
			echo "5) #cpropietario# -->Cedula Propietario<br><br>";
			echo "6) #rif# -->Rif de Empresa<br><br>";
			echo "7) #localidad# -->Localidad de Trabajo<br><br>";
			echo "<u><b>Campos a Utilizar de Trabajador:</u></b><br><br>";
			echo "1) #cedula# -->Cedula del trabajador<br><br>";
			echo "2) #nombre# -->Nombre del trabajador<br><br>";
			echo "3) #direccion# -->Direccion <br><br>";
			echo "4) #cargo# -->Cargo<br><br>";
			echo "5) #departamento# -->Departamento<br><br>";
			echo "6) #sueldo# -->Sueldo Mensual<br><br>";
			echo "7) #fechadesde# -->Fecha Desde<br><br>";
			echo "8) #fechahasta# -->Fecha Hasta<br><br>";
			echo "9) #justicontrato# -->Justificacion u objeto del contrato<br><br>";
			echo "10) #numerocontrato# -->Numero de Contrato<br><br>";
			echo "<u><b>NOTA:</u></b> El Art&iacute;culo 0(cero) <br>es el parrafo inicial<br>";
		echo "</td></tr>";
		
		echo "</table>";			
	}	
///////////////////////////////////////////////// ELIMINAR REGISTROS ////////////////////////////////////////////////////////////////
	if ($accion==2) { 
		$consulta="delete from contrato_articulo where id='".$_SESSION['id_validar']."' and codigo='".$contrato."' and articulo='".$codigo."' ";
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
	}
///////////////////////////////////////////////// MODIFICAR REGISTROS ////////////////////////////////////////////////////////////////
	if ($accion==3) {
		$consulta="Select * from contrato_articulo where id='".$_SESSION['id_validar']."' and codigo = '".$contrato."' and articulo = '".$codigo."'" ;
		$resultado = mysqli_query($enlace,$consulta) or die('Verificaci&oacute; del C&oacute;digo fall&oacute;: ' . mysqli_error($enlace));
		$num_rows = mysqli_num_rows($resultado);
		if ($num_rows != 0) {
				$row=mysqli_fetch_array($resultado);
				echo "<form name = 'entrada' action = '".$_SERVER['PHP_SELF']."' method = 'POST'  enctype='multipart/form-data' onSubmit='return validar_codigo(this)'>";
				echo "<input type = 'hidden' name = 'modifica' value = '1'>";
				echo "<table cellpadding=2 cellspacing=0 width='500' align='center'>";
				echo "<tr>";
					echo "<td> CONTRATO #</td>";
					echo "<td> <input name='contrato' size = '4' maxlength = '4' readonly value='".$contrato."'></td>";
				echo "</tr>";
				echo "<tr>";
					echo "<td> Art&iacute;culo:</td>";
					echo "<td> <input name='articulo' size = '4' maxlength = '4' value='".$row['articulo']."' readonly></td>";
				echo "</tr>";
				echo "<tr>";
					echo "<td> Detalle (Descripci&oacute;n):</td>";
					echo "<td> <textarea name='detalle' cols=100 rows=20>".$row['detalle']."</textarea>";
				echo "</tr>";
				echo "</table>";
				echo "<table border=0  align = 'center'><tr>";
				echo "<td><input type = 'submit' value = 'Grabar Modificaci&oacute;n'></td>";
				echo "</form>"; 
				echo "<form action = '".$_SERVER['PHP_SELF']."?contrato=".$contrato."' method = 'POST' >";
				echo "<td><input type = 'submit' value = 'Cancelar'></td>";
				
				echo "<u><b>Campos a Utilizar de Empresa:</u></b><br><br>";
			echo "1) #empresa# -->Nombre de Empresa<br><br>";
			echo "2) #registro# -->Registro Mercantil<br><br>";
			echo "3) #ubicacion# -->Direccion Fiscal<br><br>";
			echo "4) #propietario# -->Propietario<br><br>";
			echo "5) #cpropietario# -->Cedula Propietario<br><br>";
			echo "6) #rif# -->Rif de Empresa<br><br>";
			echo "7) #localidad# -->Localidad de Trabajo<br><br>";
			echo "<u><b>Campos a Utilizar de Trabajador:</u></b><br><br>";
			echo "1) #cedula# -->Cedula del trabajador<br><br>";
			echo "2) #nombre# -->Nombre del trabajador<br><br>";
			echo "3) #direccion# -->Direccion <br><br>";
			echo "4) #cargo# -->Cargo<br><br>";
			echo "5) #departamento# -->Departamento<br><br>";
			echo "6) #sueldo# -->Sueldo Mensual<br><br>";
			echo "7) #fechadesde# -->Fecha Desde<br><br>";
			echo "8) #fechahasta# -->Fecha Hasta<br><br>";
			echo "9) #justicontrato# -->Justificacion u objeto del contrato<br><br>";
			echo "10) #numerocontrato# -->Numero de Contrato<br><br>";
			echo "<u><b>NOTA:</u></b> El Art&iacute;culo 0(cero) <br>es el parrafo inicial<br>";
				echo "</form></table><br>"; 				
			}
	}
///////////////////////////////////////////////// MOSTRAR TABLA DE REGISTROS ////////////////////////////////////////////////////////////////
	mysqli_close($enlace);
	echo "	<script language='JavaScript' type='text/JavaScript'>";
	echo "		document.entrada.articulo.focus()";
	echo "	</script>";
    echo "</body>";
	echo "</html>";
?>